$(document).ready(function () {
    $("body").on("click", ".remove", remove);
    $("body").on("blur keyup", ".amount", calTikt);

    $("#hprint").hide();
    
    $('.tiktpurch').click(function () {
        $('.ptikt').toggle("slide");
    });
    
    function calTikt() {
        var famt = 0;
        $(".amount").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                famt += parseFloat(this.value);
            }
        });
        $(".totamt").val(famt);
    }

    $('.visapurch').click(function () {
        $('.pvisa').toggle("slide");
    });

    $("#addnew").click(function () {
        AddRows();
    });

    function AddRows() {
        var ctr = $("#items").val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;

        $.post("purchexp_add.php", {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo(".tbody");
            ctr++;
            $("#items").val(ctr);
            $(detail).select2();
        });
    }

    function remove() {
        $(this).closest("tr").remove();
        calTikt();
    }
});
